image: node:latest

test:
  image: maven:3.3.9-jdk-8
  script:
    - npm install
    - npm install protractor -g
    - npm run build
    - webdriver-manager update
    - webdriver-manager start &
    - protractor typeScript/config/config.js
    - webdriver-manager shutdown
    - curl -s -L http://localhost:4444/selenium-server/driver?cmd=shutDownSeleniumServer > /dev/null 2>&1
